<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8" />
    <title>Log Database</title>
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <link type="text/css" href="/static/css/skeleton.css" rel="stylesheet">
    <link type="text/css" href="/static/css/main.css" rel="stylesheet">
  </head>

  <body>
    <div class="container">
      <ul class="menu">
        <li class="menu"><a href="/">Home</a></li>
        <li class="menu"><a href="/upload/logs">Upload Test</a></li>
        <li class="menu"><a href="/fcp">FCPs</a></li>
        <li class="menu"><a href="/upload/fcps">Upload FCP</a></li>
        <li class="menu"><a href="/download">Download</a></li>
        <li class="menu"><a href="/upload/tags">Tags</a></li>
        <li class="menu"><a href="">Help</a></li>
        <img src="/static/img/Logo_FSTLisboa.png">
      </ul>

      <h1>Tag Upload</h1>
      <iframe name="dummyframe" id="dummyframe" style="display: none;"></iframe>
      <form action = "{{api}}/tags" method = "POST" target="dummyframe" enctype="multipart/form-data">
        <div>
          <label for="tag">Insert Tag</label>
          <input type="form" id="tag" name="tag">
        </div>
        <p>
        <input type="submit" onclick="alert('Tag Uploaded!')" value="Submit Tag">
      </form>

      <h3>All tags</h3>
      <table class="tag">
        {% for tag in tags %}
        <td>
          {{tag.get('tag')}}
        </td>
        {% endfor %}
      </table>

    </div>
  </body>
</html>
